Debian Bug report logs - #703068
ITP: ruby-sinatra-contrib -- collection of useful extensions to the Sinatra web framework

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jérémy Bobbio <lunar@debian.org>

Date: Thu, 14 Mar 2013 21:30:03 UTC

Owned by: Jérmy Bobbio <lunar@debian.org>

Severity: wishlist

Fixed in version ruby-sinatra-contrib/1.3.2-1

Done: Jérémy Bobbio <lunar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, Jérmy Bobbio <lunar@debian.org>:
Bug#703068; Package wnpp. (Thu, 14 Mar 2013 21:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, Jérmy Bobbio <lunar@debian.org>. (Thu, 14 Mar 2013 21:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-sinatra-contrib -- collection of useful extensions to the Sinatra web framework
Date: Thu, 14 Mar 2013 22:27:29 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Jérmy Bobbio <lunar@debian.org>

* Package name    : ruby-sinatra-contrib
  Version         : 1.3.2
  Upstream Author : Nicolas Sanguinetti, entp.com, Konstantin Haase
* URL             : https://github.com/sinatra/sinatra-contrib
* License         : Expat
  Programming Lang: Ruby
  Description     : collection of useful extensions to the Sinatra web framework

sinatra-contrib is a collection of common extensions to the Sinatra web
framework, semi-officially supported:
 - capture: Let's you capture the content of blocks in templates.
 - config_file: Allows loading configuration from yaml files.
 - content_for: Adds Rails-style content_for helpers to Haml, Erb,
   Erubis and Slim.
 - cookies: A cookies helper for reading and writing cookies.
 - engine_tracking: Adds methods like haml? that allow helper methods
   to check whether they are called from within a template.
 - json: Adds a #json helper method to return JSON documents.
 - link_header: Helpers for generating link HTML tags and
   corresponding Link HTTP headers. Adds link, stylesheet and prefetch helper
   methods.
 - multi_route: Adds ability to define one route block for multiple
   routes and multiple or custom HTTP verbs.
 - namespace: Adds namespace support to Sinatra.
 - respond_with: Choose action and/or template automatically depending
   on the incoming request. Adds helpers respond_to and respond_with.
 - decompile: Recreates path patterns from Sinatra's internal data
   structures (used by other extensions).
 - reloader: Automatically reloads Ruby files on code changes.
 - extension: Mixin for writing your own Sinatra extensions.
 - test_helpers: Helper methods to ease testing your Sinatra
   application. Partly extracted from Sinatra. Testing framework agnostic.

-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 703068: 703075 Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Wed, 03 Apr 2013 14:51:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 703068: 703182 Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Wed, 03 Apr 2013 14:51:10 GMT) Full text and rfc822 format available.

Added indication that bug 703068 blocks 704612 Request was from Jérémy Bobbio <lunar@debian.org> to submit@bugs.debian.org. (Wed, 03 Apr 2013 14:54:21 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 703068: 704687 Request was from Ansgar Burchardt <ansgar@debian.org> to 704687-submit@bugs.debian.org. (Thu, 04 Apr 2013 16:03:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 703068: 582641 Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Thu, 04 Apr 2013 17:06:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 20 Apr 2013 08:06:09 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Bobbio <lunar@debian.org>:
You have taken responsibility. (Sat, 20 Apr 2013 15:03:34 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Bobbio <lunar@debian.org>:
Bug acknowledged by developer. (Sat, 20 Apr 2013 15:03:35 GMT) Full text and rfc822 format available.

Message #22 received at 703068-close@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 703068-close@bugs.debian.org
Subject: Bug#703068: fixed in ruby-sinatra-contrib 1.3.2-1
Date: Sat, 20 Apr 2013 15:00:08 +0000
Source: ruby-sinatra-contrib
Source-Version: 1.3.2-1

We believe that the bug you reported is fixed in the latest version of
ruby-sinatra-contrib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703068@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Bobbio <lunar@debian.org> (supplier of updated ruby-sinatra-contrib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 19 Apr 2013 12:15:53 +0200
Source: ruby-sinatra-contrib
Binary: ruby-sinatra-contrib
Architecture: source all
Version: 1.3.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Jérémy Bobbio <lunar@debian.org>
Description: 
 ruby-sinatra-contrib - collection of useful extensions to the Sinatra web framework
Closes: 703068
Changes: 
 ruby-sinatra-contrib (1.3.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #703068)
Checksums-Sha1: 
 295602aa69e9c9e2c13a1c299449782ac941d4ee 2388 ruby-sinatra-contrib_1.3.2-1.dsc
 2b58a9044eb22d0abaa98ba668059967f18b07c3 46373 ruby-sinatra-contrib_1.3.2.orig.tar.gz
 e0e7638acf597a8f59169fa1d94a8ccc9bac8489 2966 ruby-sinatra-contrib_1.3.2-1.debian.tar.gz
 cd7d5832094865580ed6e1d2d3be7e5fc9eface1 26562 ruby-sinatra-contrib_1.3.2-1_all.deb
Checksums-Sha256: 
 e4ee03d4757aae82ec6dfcd0eaa9885a67005dd32f9f03b1abb7c541d28f851a 2388 ruby-sinatra-contrib_1.3.2-1.dsc
 5095c819843e2df7340d24515576c40244396e8b108def267cd81de4c0983ac8 46373 ruby-sinatra-contrib_1.3.2.orig.tar.gz
 1463d856af070d63b8081f2a420ed07e3cd24f65d0a654da653ca611985030ef 2966 ruby-sinatra-contrib_1.3.2-1.debian.tar.gz
 d3c68eb8a94c92dfe13be1717b717aa2d92aa5603910eea33cf3d53bcb995c5f 26562 ruby-sinatra-contrib_1.3.2-1_all.deb
Files: 
 bd2dea4ed2f38ad10e835fd80be48cf6 2388 ruby optional ruby-sinatra-contrib_1.3.2-1.dsc
 1e57d04ee5ca6760c60f4f1893802987 46373 ruby optional ruby-sinatra-contrib_1.3.2.orig.tar.gz
 4fcf143378632717a63f3a2dbfa261e5 2966 ruby optional ruby-sinatra-contrib_1.3.2-1.debian.tar.gz
 f89fe791578ad3e6fddfa01f61fa2be7 26562 ruby optional ruby-sinatra-contrib_1.3.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJRcaUuAAoJEEgU3sIrMHw8VzQQALqfFCBfHfPsp0oNAWZWbJVG
tmLudGdk3MLoroCd95Q9wWER8pCSZrO0FM4mDpsC8RRBOPwQaJgtr5tq2UPZyrsk
RhRx/0Lh3K2V2eSH5XTf3q65CNPzElZOuOyrOalNfaW2FXXx32+SreOAtURUQGE7
h9lOIhR3tX/12NNdofMh97f93OPkdHi3JKQNYI4QhkbhEkaSmRFkU/oz90jiVVVb
zaAAbYtTqcxtAk632SQT8ItYM34PBejb9qZW7FTdudT3jVXGy6E5XRQvrR8K0vx4
CfEBsoxQu7IrYlFFGteupSToPlKalJ0OEDiRU3YR4VMb9jcaZvARYd/DFBZT9Iem
OPU4UAhnnMiKcn6TjSDMOv/Y8tGuY1ejt27TrDI33mUiuFHc0gDsyH9ue5qjAyPU
9YvvhqxED8eM4DhZPm5PnzK7dlsFeiYZ+U6g4UTx38+VAEqYxuLK+1kfz7FUcGZt
BHj3cSR8+lkhloXlZr+h+gSPx6E3IzJCZRrmG1csry5igkq/NjwHB9SV2k5AdYyg
66jEo3vwU3Rs7NBeDN2BFSMthIVzUGn8fuTHB0xzXfNDvZl32bnz/NzTDAKazIjQ
HKaQpgtH9VzScfGyAnBC/kuc1lfUXiuMKRpBxoBE1PLvuS7IH5FzHvENdcz7ps4f
MUxrFVDO+FboxORjKd8a
=hhXx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 May 2013 07:29:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:37:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.